<form id="saveForm" (ngSubmit)="onSubmit(f)" #f="ngForm">
  <md-input-container>
    <label>
      <input mdInput name="saveName" id="saveName" class="form-control" ngModel="Savename">
    </label>
  </md-input-container>
  <button md-button id="submit">
    <label class="material-icons">
      <md-icon>save</md-icon>
    </label>
    Save
  </button>
</form>
